#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "PlayerMovementAnalyticsComponent.generated.h"

class APawn;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UPlayerMovementAnalyticsComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable)
	void OnControllerPossessionChanged(APawn* oldPawn, APawn* newPawn);

public:
	UPlayerMovementAnalyticsComponent();
};

FORCEINLINE uint32 GetTypeHash(const UPlayerMovementAnalyticsComponent) { return 0; }
